=== debian/changelog ===
git-annex (4.20130501ubuntu1) saucy; urgency=low

  * Resynchronise with Debian (LP: #1174746).  Remaining changes:
    - Build the webapp on powerpc, since it has Template Haskell now.
    - Add BD on libghc-extensible-exceptions-dev; newly required with new
      GHC. 

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 May 2013 10:40:42 +0100

git-annex (4.20130501) unstable; urgency=low

  * sync, assistant: Behavior changes: Sync with remotes that have
    annex-ignore set, so that git remotes on servers without git-annex
    installed can be used to keep clients' git repos in sync.
  * assistant: Work around misfeature in git 1.8.2 that makes
    `git commit --alow-empty -m ""` run an editor.
  * sync: Bug fix, avoid adding to the annex the 
    dummy symlinks used on crippled filesystems.
  * Add public repository group.
    (And inpreferreddir to preferred content expressions.)
  * webapp: Can now set up Internet Archive repositories.
  * S3: Dropping content from the Internet Archive doesn't work, but
    their API indicates it does. Always refuse to drop from there.
  * Automatically register public urls for files uploaded to the
    Internet Archive.
  * To enable an existing special remote, the new enableremote command
    must be used. The initremote command now is used only to create
    new special remotes.
  * initremote: If two existing remotes have the same name,
    prefer the one with a higher trust level.
  * assistant: Improved XMPP protocol to better support multiple repositories
    using the same XMPP account. Fixes bad behavior when sharing with a friend
    when you or the friend have multiple reposotories on an XMPP account.
    Note that XMPP pairing with your own devices still pairs with all
    repositories using your XMPP account.
  * assistant: Fix bug that could cause incoming pushes to not get
    merged into the local tree. Particularly affected XMPP pushes.
  * webapp: Display some additional information about a repository on
    its edit page.
  * webapp: Install FDO desktop menu file when started in standalone mode.
  * webapp: Don't default to making repository in cwd when started
    from within a directory containing a git-annex file (eg, standalone
    tarball directory).
  * Detect systems that have no user name set in GECOS, and also
    don't have user.name set in git config, and put in a workaround
    so that commits to the git-annex branch (and the assistant)
    will still succeed despite git not liking the system configuration.
  * webapp: When told to add a git repository on a remote server, and
    the repository already exists as a non-bare repository, use it,
    rather than initializing a bare repository in the same directory.
  * direct, indirect: Refuse to do anything when the assistant
    or git-annex watch daemon is running.
  * assistant: When built with git before 1.8.0, use `git remote rm`
    to delete a remote. Newer git uses `git remote remove`.
  * rmurl: New command, removes one of the recorded urls for a file.
  * Detect when the remote is broken like bitbucket is, and exits 0 when
    it fails to run git-annex-shell.
  * assistant: Several improvements to performance and behavior when
    performing bulk adds of a large number of files (tens to hundreds
    of thousands).
  * assistant: Sanitize XMPP presence information logged for debugging.
  * webapp: Now automatically fills in any creds used by an existing remote
    when creating a new remote of the same type. Done for Internet Archive,
    S3, Glacier, and Box.com remotes.
  * Store an annex-uuid file in the bucket when setting up a new S3 remote.
  * Support building with DAV 0.4.

 -- Joey Hess <joeyh@debian.org>  Wed, 01 May 2013 01:42:46 -0400

git-annex (4.20130417) unstable; urgency=low

  * initremote: Generates encryption keys with high quality entropy.
    This can be disabled using --fast to get the old behavior.
    The assistant still uses low-quality entropy when creating encrypted
    remotes, to avoid delays. (Thanks, guilhem for the patch.)
  * Bugfix: Direct mode no longer repeatedly checksums duplicated files.
  * assistant: Work around horrible, terrible, very bad behavior of
    gnome-keyring, by not storing special-purpose ssh keys in ~/.ssh/*.pub.
    Apparently gnome-keyring apparently will load and indiscriminately use
    such keys in some cases, even if they are not using any of the standard
    ssh key names. Instead store the keys in ~/.ssh/annex/,
    which gnome-keyring will not check.
  * addurl: Bugfix: Did not properly add file in direct mode.
  * assistant: Bug fix to avoid annexing the files that git uses
    to stand in for symlinks on FAT and other filesystem not supporting
    symlinks.
  * Adjust preferred content expressions so that content in archive
    directories is preferred until it has reached an archive or smallarchive
    repository.
  * webapp: New --listen= option allows running the webapp on one computer
    and connecting to it from another. (Note: Does not yet use HTTPS.)
  * Added annex.web-download-command setting.
  * Added per-remote annex-rsync-transport option. (guilhem again)
  * Ssh connection caching is now also used by rsync special remotes.
    (guilhem yet again)
  * The version number is now derived from git, unless built with
    VERSION_FROM_CHANGELOG.
  * assistant: Stop any transfers the assistant initiated on shutdown.
  * assistant: Added sequence numbers to XMPP git push packets. (Not yet used.)
  * addurl: Register transfer so the webapp can see it.
  * addurl: Automatically retry downloads that fail, as long as some
    additional content was downloaded.
  * webapp: Much improved progress bar display for downloads from encrypted
    remotes.
  * Avoid using runghc, as that needs ghci.
  * webapp: When a repository's group is changed, rescan for transfers.
  * webapp: Added animations.
  * webapp: Include the repository directory in the mangled hostname and

