=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	libghc-hslogger-dev,
 	libghc-pcre-light-dev,
 	libghc-sha-dev,
-	libghc-regex-tdfa-dev,
+	libghc-regex-tdfa-dev [!mips !mipsel !s390],
 	libghc-dataenc-dev,
 	libghc-utf8-string-dev,
 	libghc-hs3-dev (>= 0.5.6),
@@ -17,6 +17,7 @@
 	libghc-quickcheck2-dev,
 	libghc-monad-control-dev (>= 0.3),
 	libghc-lifted-base-dev,
+	libghc-unix-compat-dev,
 	libghc-dlist-dev,
 	libghc-uuid-dev,
 	libghc-json-dev,
@@ -40,7 +41,7 @@
 	libghc-blaze-builder-dev,
 	libghc-crypto-api-dev,
 	libghc-network-multicast-dev,
-	libghc-network-info-dev,
+	libghc-network-info-dev [linux-any kfreebsd-any],
 	libghc-safesemaphore-dev,
 	libghc-network-protocol-xmpp-dev (>= 0.4.3-1+b1),
 	libghc-gnutls-dev (>= 0.1.4),
