## git-annex 4.20130516ubuntu2

=== debian/changelog ===
git-annex (4.20130516ubuntu2) saucy; urgency=low

  * Build/Configure.hs: Only take characters from the changelog version that
    are valid in Cabal versions.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 May 2013 10:31:59 +0100
