=== debian/changelog ===
git-annex (4.20130621) unstable; urgency=low

  * Supports indirect mode on encfs in paranoia mode, and other
    filesystems that do not support hard links, but do support
    symlinks and other POSIX filesystem features.
  * Android: Add .thumbnails to .gitignore when setting up a camera
    repository.
  * Android: Make the "Open webapp" menu item open the just created
    repository when a new repo is made.
  * webapp: When the user switches to display a different repository,
    that repository becomes the default repository to be displayed next time
    the webapp gets started.
  * glacier: Better handling of the glacier inventory, which avoids
    duplicate uploads to the same glacier repository by `git annex copy`.
  * Direct mode: No longer temporarily remove write permission bit of files
    when adding them.
  * sync: Better support for bare git remotes. Now pushes directly to the
    master branch on such a remote, instead of to synced/master. This
    makes it easier to clone from a bare git remote that has been populated
    with git annex sync or by the assistant.
  * Android: Fix use of cp command to not try to use features present
    only on build system.
  * Windows: Fix hang when adding several files at once.
  * assistant: In direct mode, objects are now only dropped when all
    associated files are unwanted. This avoids a repreated drop/get loop
    of a file that has a copy in an archive directory, and a copy not in an
    archive directory. (Indirect mode still has some buggy behavior in this
    area, since it does not keep track of associated files.)
    Closes: #712060
  * status: No longer shows dead repositories.
  * annex.debug can now be set to enable debug logging by default.
    The webapp's debugging check box does this.
  * fsck: Avoid getting confused by Windows path separators
  * Windows: Multiple bug fixes, including fixing the data written to the
    git-annex branch.
  * Windows: The test suite now passes on Windows (a few broken parts are
    disabled).
  * assistant: On Linux, the expensive transfer scan is run niced.
  * Enable assistant and WebDAV support on powerpc and sparc architectures,
    which now have the necessary dependencies built.

 -- Joey Hess <joeyh@debian.org>  Fri, 21 Jun 2013 10:18:41 -0400

git-annex (4.20130601) unstable; urgency=medium

  * XMPP: Git push over xmpp made much more robust.
  * XMPP: Avoid redundant and unncessary pushes. Note that this breaks
    compatibility with previous versions of git-annex, which will refuse
    to accept any XMPP pushes from this version.
  * XMPP: Send pings and use them to detect when contact with the server
    is lost.
  * hook special remote: Added combined hook program support.
  * Android app: Avoid using hard links to app's lib directory, which
    is sometimes on a different filesystem than the data directory.
  * Fix bug in parsing of parens in some preferred content expressions.
    This fixes the behavior of the manual mode group.
  * assistant: Work around git-cat-file's not reloading the index after files
    are staged.
  * Improve error handling when getting uuid of http remotes to auto-ignore,
    like with ssh remotes.
  * content: New command line way to view and configure a repository's
    preferred content settings.
  * sync: Fix double merge conflict resolution handling.
  * XMPP: Fix a file descriptor leak.
  * Android: Added an "Open WebApp" item to the terminal's menu.
  * Android: Work around Android devices where the `am` command doesn't work.
  * Can now restart certain long-running git processes if they crash, and
    continue working.

 -- Joey Hess <joeyh@debian.org>  Sat, 01 Jun 2013 19:16:04 -0400
