## git-annex 4.20130627

=== debian/changelog ===
git-annex (4.20130627) unstable; urgency=low

  * assistant --autostart: Automatically ionices the daemons it starts.
  * assistant: Daily sanity check thread is run niced.
  * bup: Handle /~/ in bup remote paths.
    Thanks, Oliver Matthews
  * fsck: Ensures that direct mode is used for files when it's enabled.
  * webapp: Fix bug when setting up a remote ssh repo repeatedly on the same
    server.
  * webapp: Ensure that ssh keys generated for different directories
    on a server are always different.
  * webapp: Fix bug setting up ssh repo if the user enters "~/" at the start 
    of the path.
  * assistant: Fix bug that prevented adding files written by gnucash, 
    and more generally support adding hard links to files. However,
    other operations on hard links are still unsupported.
  * webapp: Fix bug that caused the webapp to hang when built with yesod 1.2.

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Jun 2013 14:21:55 -0400
